Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class DeleteOoORequest

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteOoORequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class DeleteOoORequest extends Object implements Serializable

Java class for DeleteOoORequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeleteOoORequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
             <element name="OoOId" type="{urn:be:fgov:ehealth:ehbox:core:v3}OoOIdType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteOoORequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoxIdType`
  `getBoxId()`
  Use another of my ehBoxes
  `List<String>`
  `getOoOIds()`
  Gets the value of the ooOIds property.
  `void`
  `setBoxId(BoxIdType value)`
  Sets the value of the boxId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteOoORequest

    public DeleteOoORequest()

- ## Method Details

  - ### getBoxId

    public BoxIdType getBoxId()
    Use another of my ehBoxes
    Returns:
      possible object is `BoxIdType`

  - ### setBoxId

    public void setBoxId(BoxIdType value)
    Sets the value of the boxId property.
    Parameters:
      `value` - allowed object is `BoxIdType`
    See Also:
      - `getBoxId()`

  - ### getOoOIds

    public List<String> getOoOIds()
    Gets the value of the ooOIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ooOIds property.

    For example, to add a new item, do as follows:

         getOoOIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the ooOIds property.